Top > blog > 2013-03-22 > Androidの開発環境を構築してみる

広告

#blog2navi()
**[[Androidの開発環境を構築してみる>blog/2013-03-22/Androidの開発環境を構築してみる]] [#tf253b89]

安いこともあってGoogle(ASUS)のNexus 7を買ってみた。~
ついでにアプリでも作ろうかと開発環境を構築してみることにした。

ところが、この開発環境の構築に関して書いてある「新しい」日本語のページが見つからなかった。~
もちろん、いろいろな開発環境があって、それぞれいくつかの解説ページはあるのだけれど、どれが一番良いのか分からない。

ということで、Googleの提供しているEclipse IDE用のプラグイン「[[Android Developer Tools (ADT):http://developer.android.com/tools/sdk/eclipse-adt.html]]」を使うことにした。

ちょっと長くなるのでご容赦を。そのうち別ページに書き直す予定。

まず、Java環境を入れる。sun-javaパッケージを入れるのが良いのだと思うけど、悔しいので「[[OpenJDK:http://openjdk.java.net/]]」を入れる
-default-jdk

を入れると、依存関係で今ならもれなく「openjdk-6-jdk」がインストールされる。

で、次にEclipse IDEを入れる。
-eclipse

実は、標準ではEclipseはdefault-jdkに依存しているので、Eclipseを入れるだけで良いかもしれない。

Eclipseをインストールして、Eclipseを立ち上げたら「[[Android Developer Tools (ADT):http://developer.android.com/tools/sdk/eclipse-adt.html]]」をインストールする。~
インストール方法はADTのページに書いてある通り。
-メニューからHelp > Install New Softwareと選ぶ
-右上にある「Add」をクリック。ウインドウが開く
-「Name」に「ADT Plugin」と入れ、「Location」に「https://dl-ssl.google.com/android/eclipse/」を入れ「OK」をクリック
-「Name」に「ADT Plugin」と入れ、「Location」に「https://dl-ssl.google.com/android/eclipse/ 」を入れ「OK」をクリック
-問題なければ「Available Software」というのが開いて、必要なものにチェックを入れ、「Next」をクリック
-また、新しいウインドウが開くので、良ければ「Next」をクリック
-最後に「Finish」をクリック
-問題がなければ、リスタートしますかと聞かれるので「OK」をクリック

これで、ADTは入るけど、いざ、デバッグやコンパイルをしてみると、
 java.io.IOexception: error=2
というエラーがでる。これに関しては[[ここ:http://android-eclipse.blogspot.jp/2011/05/failed-to-get-adb-version-cannot-run.html]]に書いてあるように64bit OS 特有の問題らしい。~
そこで、32bit用のライブラリを入れる必要がある。Debian (sid)の場合、結果的に以下のパッケージが必要だった
-libc6-dev-i386
-lib32ncurses5
-lib32stdc++6
-lib32z1

で、一応、Androidの開発環境の構築終わり。

RIGHT:continue on: [[[Androidエミュレータが動かない>blog/2013-04-15/Androidエミュレータが動かない]]]
RIGHT:Category: [[[Android>blog/Category/Android]]] - 18:57:57
----
RIGHT:&blog2trackback();
#blog2navi()

広告

Reload   Diff   Front page List of pages Search Recent changes Backup Referer   Help   RSS of recent changes